Bug 1121421 - [abrt] freecad: QRasterPaintEngine::brushOriginChanged(): FreeCAD killed by SIGSEGV
Summary: [abrt] freecad: QRasterPaintEngine::brushOriginChanged(): FreeCAD killed by S...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: freecad
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Shaw
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:13bd2258de74dacf4b655acd154...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-20 16:52 UTC by Juan Antonio Clavero
Modified: 2014-11-17 17:06 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-17 17:06:02 UTC


Attachments (Terms of Use)
File: backtrace (54.00 KB, text/plain)
2014-07-20 16:52 UTC, Juan Antonio Clavero
no flags Details
File: cgroup (180 bytes, text/plain)
2014-07-20 16:52 UTC, Juan Antonio Clavero
no flags Details
File: core_backtrace (14.26 KB, text/plain)
2014-07-20 16:53 UTC, Juan Antonio Clavero
no flags Details
File: dso_list (23.70 KB, text/plain)
2014-07-20 16:53 UTC, Juan Antonio Clavero
no flags Details
File: environ (1.26 KB, text/plain)
2014-07-20 16:53 UTC, Juan Antonio Clavero
no flags Details
File: exploitable (110 bytes, text/plain)
2014-07-20 16:53 UTC, Juan Antonio Clavero
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-20 16:53 UTC, Juan Antonio Clavero
no flags Details
File: maps (121.38 KB, text/plain)
2014-07-20 16:53 UTC, Juan Antonio Clavero
no flags Details
File: open_fds (1.17 KB, text/plain)
2014-07-20 16:53 UTC, Juan Antonio Clavero
no flags Details
File: proc_pid_status (945 bytes, text/plain)
2014-07-20 16:53 UTC, Juan Antonio Clavero
no flags Details
File: var_log_messages (987 bytes, text/plain)
2014-07-20 16:53 UTC, Juan Antonio Clavero
no flags Details

Description Juan Antonio Clavero 2014-07-20 16:52:55 UTC
Version-Release number of selected component:
freecad-0.13-10.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/bin/FreeCAD
crash_function: QRasterPaintEngine::brushOriginChanged
executable:     /usr/lib64/freecad/bin/FreeCAD
kernel:         3.15.5-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QRasterPaintEngine::brushOriginChanged at painting/qpaintengine_raster.cpp:809
 #1 QWidgetPrivate::paintBackground at ../../src/gui/painting/qpainter.h:832
 #2 QWidgetPrivate::drawWidget at kernel/qwidget.cpp:5577
 #3 QWidgetBackingStore::sync at painting/qbackingstore.cpp:1365
 #4 QWidgetPrivate::syncBackingStore at kernel/qwidget.cpp:1894
 #5 QWidget::event at kernel/qwidget.cpp:8693
 #6 QMainWindow::event at widgets/qmainwindow.cpp:1478
 #7 Gui::MainWindow::event at /usr/src/debug/freecad-0.13.1830/src/Gui/MainWindow.cpp:628
 #8 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:4565
 #9 QApplication::notify at kernel/qapplication.cpp:4351

Comment 1 Juan Antonio Clavero 2014-07-20 16:52:58 UTC
Created attachment 919407 [details]
File: backtrace

Comment 2 Juan Antonio Clavero 2014-07-20 16:52:59 UTC
Created attachment 919408 [details]
File: cgroup

Comment 3 Juan Antonio Clavero 2014-07-20 16:53:01 UTC
Created attachment 919409 [details]
File: core_backtrace

Comment 4 Juan Antonio Clavero 2014-07-20 16:53:02 UTC
Created attachment 919410 [details]
File: dso_list

Comment 5 Juan Antonio Clavero 2014-07-20 16:53:03 UTC
Created attachment 919411 [details]
File: environ

Comment 6 Juan Antonio Clavero 2014-07-20 16:53:05 UTC
Created attachment 919412 [details]
File: exploitable

Comment 7 Juan Antonio Clavero 2014-07-20 16:53:06 UTC
Created attachment 919413 [details]
File: limits

Comment 8 Juan Antonio Clavero 2014-07-20 16:53:08 UTC
Created attachment 919414 [details]
File: maps

Comment 9 Juan Antonio Clavero 2014-07-20 16:53:09 UTC
Created attachment 919415 [details]
File: open_fds

Comment 10 Juan Antonio Clavero 2014-07-20 16:53:10 UTC
Created attachment 919416 [details]
File: proc_pid_status

Comment 11 Juan Antonio Clavero 2014-07-20 16:53:11 UTC
Created attachment 919417 [details]
File: var_log_messages

Comment 12 Richard Shaw 2014-08-11 13:11:08 UTC
Now that 0.14 is in stable, can you see if you can still cause this crash? 0.14-2 is working it's way into stable which pulls in python-pyside. If you update and get 0.14-1 make sure you install it manually.

Comment 13 Richard Shaw 2014-11-17 17:06:02 UTC
No response, so closing. Let me know if you can reproduce the bug in 0.14.


Note You need to log in before you can comment on or make changes to this bug.